#!/bin/sh

# Process a gst-plugins-ugly tarball to extract the mpg123
# plugin

SOURCE="$1"
NEW_SOURCE=`echo $SOURCE | sed 's/plugins-ugly-/plugin-mpg123-/'`
DIRECTORY=`echo $SOURCE | sed 's/\.tar\.xz//'`
NEW_DIRECTORY=`echo $NEW_SOURCE | sed 's/\.tar\.xz//'`

error()
{
	MESSAGE=$1
	echo $MESSAGE
	exit 1
}

rm -rf $DIRECTORY
rm -rf $NEW_DIRECTORY
mkdir $NEW_DIRECTORY
cp -rf plugin/* $NEW_DIRECTORY
tar xJf $SOURCE || error "Cannot unpack $SOURCE"
cp $DIRECTORY/ext/mpg123/*.[ch] $NEW_DIRECTORY/ext/mpg123/
cp $DIRECTORY/README $NEW_DIRECTORY/
cp $DIRECTORY/AUTHORS $NEW_DIRECTORY/
cp $DIRECTORY/COPYING $NEW_DIRECTORY/

tar cJf $NEW_SOURCE $NEW_DIRECTORY
echo "$NEW_SOURCE is ready to use"
