Name:           gstreamer1-plugin-mpg123
Version:        1.10.4
Release:        1%{?dist}
Summary:        GStreamer plug-in for mp3 support through mpg123

License:        LGPLv2+
URL:            http://gstreamer.freedesktop.org/
# The source is:
# http://gstreamer.freedesktop.org/src/gst-plugins-ugly/gst-plugins-ugly-%{version}.tar.xz
# modified with gst-p-extract.sh from SOURCE1
Source0:        gst-plugin-mpg123-%{version}.tar.xz
Source1:        gst-p-extract.sh

BuildRequires:  meson >= 0.35.0
BuildRequires:  pkgconfig(gstreamer-1.0) >= 1.8.3
BuildRequires:  pkgconfig(gstreamer-audio-1.0) >= 1.8.3
BuildRequires:  pkgconfig(gstreamer-base-1.0) >= 1.8.3
BuildRequires:  gstreamer1-plugins-base-devel >= 1.8.3
BuildRequires:  pkgconfig(libmpg123) >= 1.3

%description
GStreamer plug-in for mp3 support through mpeg123.

%prep
%setup -q -n gst-plugin-mpg123-%{version}

%build
%meson
%meson_build

%install
%meson_install

# Register as an AppStream component to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/gstreamer-mpg123.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2017 Kalev Lember <klember@redhat.com> -->
<component type="codec">
  <id>gstreamer-mpg123</id>
  <metadata_license>CC0-1.0</metadata_license>
  <name>GStreamer Multimedia Codecs - MP3</name>
  <summary>Multimedia playback for MP3</summary>
  <description>
    <p>
      This addon includes a codec for MP3 playback.
    </p>
    <p>
      A codec decodes audio and video for playback or editing and is also
      used for transmission or storage.
      Different codecs are used in video-conferencing, streaming media and
      video editing applications.
    </p>
  </description>
  <url type="homepage">http://gstreamer.freedesktop.org/</url>
  <url type="bugtracker">https://bugzilla.gnome.org/enter_bug.cgi?product=GStreamer</url>
  <url type="help">http://gstreamer.freedesktop.org/documentation/</url>
  <url type="donation">http://www.gnome.org/friends/</url>
  <update_contact><!-- upstream-contact_at_email.com --></update_contact>
</component>
EOF

%check
%meson_test

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license COPYING
%doc README AUTHORS
%{_libdir}/gstreamer-1.0/libgstmpg123.so
%{_datadir}/appdata/gstreamer-mpg123.appdata.xml

%changelog
* Fri Feb 24 2017 Wim Taymans <wtaymans@redhat.com> - 1.10.4-1
- Update to 1.10.4

* Mon Jan 30 2017 Wim Taymans <wtaymans@redhat.com> - 1.10.3-1
- Update to 1.10.3

* Mon Jan 16 2017 Kalev Lember <klember@redhat.com> - 1.10.2-3
- Add an appdata file

* Tue Dec 13 2016 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.10.2-2
- Fix packaging

* Mon Dec 05 2016 Wim Taymans <wtaymans@redhat.com> - 1.10.2-1
- Update to 1.10.2

* Mon Nov 28 2016 Wim Taymans <wtaymans@redhat.com> - 1.10.1-1
- Update to 1.10.1
- Add missing plugin skeleton directory

* Fri Nov 11 2016 Wim Taymans <wtaymans@redhat.com> - 1.10.0-3
- Update build requires for mpg123-devel

* Fri Nov 11 2016 Wim Taymans <wtaymans@redhat.com> - 1.10.0-2
- Update build requires for mpg123-libs-devel
- Require meson >= 0.35.0

* Tue Nov 08 2016 Wim Taymans <wtaymans@redhat.com> - 1.10.0-1
- Update to 1.10

* Tue Oct 18 2016 Wim Taymans <wtaymans@redhat.com> - 1.8.3-1
- First Fedora spec
